Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula.ptg
Class RefPtgBase

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperandPtg
              org.apache.poi.ss.formula.ptg.RefPtgBase

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  Ref3DPtg, RefNPtg, RefPtg

    public abstract class RefPtgBase

extends OperandPtg

ReferencePtgBase - handles references (such as A1, A2, IA4)

Author:
  Andrew C. Oliver (acoliver@apache.org), Jason Height (jheight at chariot dot net dot au)

Field Summary

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Method Summary
`int` | `getColumn()`
`byte` | `getDefaultOperandClass()`
`int` | `getRow()`
`boolean` | `isColRelative()`
`boolean` | `isRowRelative()`
`void` | `setColRelative(boolean rel)`
`void` | `setColumn(int col)`
`void` | `setRow(int rowIndex)`
`void` | `setRowRelative(boolean rel)`

Methods inherited from class org.apache.poi.ss.formula.ptg.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, getSize, readTokens, serializePtgs, setClass, toFormulaString, toString, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### setRow

    public final void setRow(int rowIndex)

### getRow

    public final int getRow()

  Returns:
    the row number as an int

### isRowRelative

    public final boolean isRowRelative()

### setRowRelative

    public final void setRowRelative(boolean rel)

### isColRelative

    public final boolean isColRelative()

### setColRelative

    public final void setColRelative(boolean rel)

### setColumn

    public final void setColumn(int col)

### getColumn

    public final int getColumn()

### getDefaultOperandClass

    public final byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD